# Docs For Class FileMaker_Command_FindRequest

## Class FileMaker_Command_FindRequest

Description

Find Request class. Contains all the information about a single find request for a Compound Find command.

Create this command with FileMaker::newFindRequest().

Located in /FileMaker/Command/FindRequest.php (line 30)

Method Summary
void addFindCriterion (string $fieldname, string $testvalue)
void clearFindCriteria ()
void setOmit (boolean $value)
Methods
addFindCriterion (line 71)

Adds a criterion to this find request.

void addFindCriterion (string $fieldname, string $testvalue)

- string $fieldname: Name of the field being tested.
- string $testvalue: Value of the field to test against.

clearFindCriteria (line 79)

Clears all existing criteria from this find request.

void clearFindCriteria ()
setOmit (line 60)

Sets whether this request is an omit request.

An omit request removes the matching records from the final result set.

void setOmit (boolean $value)

- boolean $value: TRUE if this is an omit request. Otherwise, FALSE.

Documentation generated on Mon, 28 Jul 2008 14:47:45 -0700 by phpDocumentor 1.4.0